﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="4.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{DD0C4369-ED50-4C52-881B-7D5088302171}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>WSS.BO.DataLayer</RootNamespace>
    <AssemblyName>WSS.BO.DataLayer</AssemblyName>
    <TargetFrameworkVersion>v3.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>$(OUT_DIR)\build\Oasys3\SOM\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup>
    <SignAssembly>true</SignAssembly>
  </PropertyGroup>
  <PropertyGroup>
    <AssemblyOriginatorKeyFile>$(PROJ_ROOT)\misc\Oasys.pfx</AssemblyOriginatorKeyFile>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="BLToolkit.3, Version=4.3.2.0, Culture=neutral, PublicKeyToken=b1d3f6ab3aadaca3, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\..\packages\BLToolkit.4.3.2\lib\net35\BLToolkit.3.dll</HintPath>
    </Reference>
    <Reference Include="slf4net, Version=0.1.32.1, Culture=neutral, PublicKeyToken=592edb3b6b36b5ba, processorArchitecture=MSIL">
      <HintPath>..\..\..\packages\slf4net.0.1.32.1\lib\net35\slf4net.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.Core" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="Database\IOasysDbConfiguration.cs" />
    <Compile Include="Database\IOasysDbFactory.cs" />
    <Compile Include="Database\OasysDb.cs" />
    <Compile Include="Database\SqlGenerator.cs" />
    <Compile Include="DataLayerFactory.cs" />
    <Compile Include="Repositories\CashierBalanceRepository.cs" />
    <Compile Include="Repositories\AlertRepository.cs" />
    <Compile Include="Repositories\BaseRepository.cs" />
    <Compile Include="Repositories\ControlFileRepository.cs" />
    <Compile Include="Repositories\CouponRepository.cs" />
    <Compile Include="Repositories\CustomerOrderRepository.cs" />
    <Compile Include="Repositories\DailyTillRepository.cs" />
    <Compile Include="Repositories\DeliveryChargeRepository.cs" />
    <Compile Include="Repositories\NitmasRepository.cs" />
    <Compile Include="Repositories\RelatedItemRepository.cs" />
    <Compile Include="Repositories\SafeRepository.cs" />
    <Compile Include="Repositories\StockRepository.cs" />
    <Compile Include="Repositories\DictionariesRepository.cs" />
    <Compile Include="Repositories\ExternalRequestRepository.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="Database\SimpleOasysDbFactory.cs" />
    <Compile Include="Repositories\UserRepository.cs" />
    <Compile Include="UnitOfWork.cs" />
    <Compile Include="Utility\Disposing\IDisposingStrategy.cs" />
    <Compile Include="Utility\LinqExtensions.cs" />
    <Compile Include="Utility\Disposing\OwnerControlledDisposingStrategy.cs" />
    <Compile Include="Utility\QueryableOrUpdatableWrapper.cs" />
    <Compile Include="Utility\Disposing\SelfControlledDisposingStrategy.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="packages.config" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Cts.Oasys.Core\Cts.Oasys.Core2\Cts.Oasys.Core2.csproj">
      <Project>{93f81432-bc23-4c71-917d-9c4cca1a916c}</Project>
      <Name>Cts.Oasys.Core2</Name>
    </ProjectReference>
    <ProjectReference Include="..\WSS.BO.DataLayer.Model\WSS.BO.DataLayer.Model.csproj">
      <Project>{51632FE5-670C-4F64-8BAB-705583A3FF46}</Project>
      <Name>WSS.BO.DataLayer.Model</Name>
    </ProjectReference>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>